package cn.wise.sc.acquisition.business.service;

import cn.wise.sc.acquisition.business.entity.TSampleList;
import cn.wise.sc.acquisition.business.model.query.TSampleListQuery;
import cn.wise.sc.acquisition.business.wrapper.page.Query;
import com.baomidou.mybatisplus.extension.api.R;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;


/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2021-04-22
 */
public interface ITSampleListService extends IService<TSampleList> {

    R getPage(TSampleListQuery tSampleListQuery, Query query);

    R updateByYh(TSampleListQuery tSampleListQuery);

    R deleteByYh(TSampleListQuery tSampleListQuery);

    R insertSampleList(TSampleListQuery tSampleListQuery);

    R saveImage(TSampleListQuery query, MultipartFile file);

    R getImage(TSampleListQuery query, final HttpServletResponse response);

    R getByYh(TSampleListQuery query);
}
